<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="If defined for a servlet, overrides the security identity used to call an EJB by that servlet in this web application. The role-name is one of the security roles already defined for this web application.">
<meta name="KeyWords" content="runAs,Role runAs,j2ee,model j2ee,">
<a href="../root.html" target=_top><IMG SRC="../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b><IMG SRC="../webviewer/pub.gif"BORDER=0>runAs,&nbsp;role&nbsp;for&nbsp;Element&nbsp;<a href="../cat39ee0e7f014d/cat38c08f0f038d/class39bf2c9e02c8.htm" target="contents_frame">RunAsSpecifiedIdentity</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>If&nbsp;defined&nbsp;for&nbsp;a&nbsp;servlet,&nbsp;overrides&nbsp;the&nbsp;security&nbsp;identity&nbsp;used&nbsp;to&nbsp;call&nbsp;an&nbsp;EJB&nbsp;by&nbsp;that&nbsp;servlet&nbsp;in&nbsp;this&nbsp;web&nbsp;application.&nbsp;The&nbsp;role-name&nbsp;is&nbsp;one&nbsp;of&nbsp;the&nbsp;security&nbsp;roles&nbsp;already&nbsp;defined&nbsp;for&nbsp;this&nbsp;web&nbsp;application.</font><BR><BR>
</body>
</html>
